#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dm_snap_cow, 0x1c8e12a1, "");
SYMBOL_CRC(dm_snap_origin, 0xab4f23b1, "");
SYMBOL_CRC(dm_exception_store_create, 0xafb09da0, "");
SYMBOL_CRC(dm_exception_store_destroy, 0x13067878, "");
SYMBOL_CRC(dm_exception_store_type_register, 0x3eed8082, "");
SYMBOL_CRC(dm_exception_store_type_unregister, 0xa846bd1f, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x26468d30, "bio_associate_blkg" },
	{ 0x7cb6a2e2, "dm_internal_resume_fast" },
	{ 0x51509938, "try_module_get" },
	{ 0x1ac31b45, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb59fc676, "param_ops_uint" },
	{ 0xf2a8efae, "dm_kcopyd_do_callback" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6ffd8c59, "dm_per_bio_data" },
	{ 0x86469add, "dm_put_device" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1a3ffa65, "dm_table_get_size" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x3c7c65a2, "mempool_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x63bd7b10, "dm_hold" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1f88a0e, "dm_kcopyd_prepare_callback" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x25bea8a5, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x75edabe9, "mempool_free" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0x1000e51, "schedule" },
	{ 0x3e83752c, "dm_accept_partial_bio" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xb55a40fc, "mempool_alloc" },
	{ 0x116841f3, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x51a40a88, "module_put" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0xa04c10f4, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf6792daf, "down_write" },
	{ 0x75574cc1, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x13cd39a9, "__wake_up_locked" },
	{ 0xdf53622b, "dm_suspended" },
	{ 0x608c41d3, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xab6179d, "kmem_cache_free" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x640fe915, "dm_bufio_client_create" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x7045f741, "dm_unregister_target" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xccfa79d2, "dm_set_target_max_io_len" },
	{ 0xe15af4fb, "dm_kcopyd_zero" },
	{ 0xdcb764ad, "memset" },
	{ 0x2792a515, "dm_table_event" },
	{ 0xf1267dc1, "dm_internal_suspend_fast" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x46939673, "dm_put" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb4fca748, "down_read" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc4be5a31, "dm_kcopyd_copy" },
	{ 0x976d4f6, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0xe8ade01, "dm_table_get_mode" },
	{ 0x91f00abc, "dm_bufio_set_minimum_buffers" },
	{ 0xa2388ee0, "blkdev_issue_flush" },
	{ 0x7b58bc0d, "remove_wait_queue" },
	{ 0x543452f6, "dm_table_get_md" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0x7893a3d7, "kmalloc_trace" },
	{ 0x65796b31, "dm_io" },
	{ 0x8b5cc896, "dm_get_device" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x49180e5f, "up_read" },
	{ 0xcd2ba798, "dm_bufio_forget" },
	{ 0xcad01852, "dm_bio_get_target_bio_nr" },
	{ 0x9514151a, "_mcount" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0xf4ee619b, "kmalloc_caches" },
	{ 0x1d27be9b, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x29c09e19, "kmem_cache_destroy" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "dm-mod,dm-bufio");


MODULE_INFO(srcversion, "2FFB68F0156BAEDB229A76F");

MODULE_INFO(suserelease, "SLE15-SP6");
