#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(b53_br_fast_age, 0x6037c473, "");
SYMBOL_CRC(b53_br_flags, 0x982bd02c, "");
SYMBOL_CRC(b53_br_flags_pre, 0xbd65c7da, "");
SYMBOL_CRC(b53_br_join, 0x4a545963, "");
SYMBOL_CRC(b53_br_leave, 0x4736159d, "");
SYMBOL_CRC(b53_br_set_stp_state, 0x183f4a74, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x99439cf3, "");
SYMBOL_CRC(b53_configure_vlan, 0x87e50a7c, "");
SYMBOL_CRC(b53_disable_port, 0x2cb55753, "");
SYMBOL_CRC(b53_eee_enable_set, 0x5277f02e, "");
SYMBOL_CRC(b53_eee_init, 0xd6f2e847, "");
SYMBOL_CRC(b53_enable_port, 0x8c507be3, "");
SYMBOL_CRC(b53_fdb_add, 0xc407cccf, "");
SYMBOL_CRC(b53_fdb_del, 0x78512528, "");
SYMBOL_CRC(b53_fdb_dump, 0x3b55780f, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0x14d5d762, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0xeed0dc9f, "");
SYMBOL_CRC(b53_get_mac_eee, 0x01376dbf, "");
SYMBOL_CRC(b53_get_sset_count, 0x858428fe, "");
SYMBOL_CRC(b53_get_strings, 0x9389152d, "");
SYMBOL_CRC(b53_get_tag_protocol, 0x7fad7604, "");
SYMBOL_CRC(b53_imp_vlan_setup, 0xef523333, "");
SYMBOL_CRC(b53_mdb_add, 0xf80960ff, "");
SYMBOL_CRC(b53_mdb_del, 0xcf3e9ed2, "");
SYMBOL_CRC(b53_mirror_add, 0x1009aa92, "");
SYMBOL_CRC(b53_mirror_del, 0x1716a260, "");
SYMBOL_CRC(b53_phylink_mac_config, 0xf3e0ca48, "");
SYMBOL_CRC(b53_phylink_mac_link_down, 0x370b3428, "");
SYMBOL_CRC(b53_phylink_mac_link_up, 0x145d4c17, "");
SYMBOL_CRC(b53_port_event, 0x95dcac33, "");
SYMBOL_CRC(b53_set_mac_eee, 0x3555b0ec, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0x8289cb52, "");
SYMBOL_CRC(b53_switch_alloc, 0x39fcdd7d, "");
SYMBOL_CRC(b53_switch_detect, 0x24dbcdc2, "");
SYMBOL_CRC(b53_switch_register, 0xeaae1b22, "");
SYMBOL_CRC(b53_vlan_add, 0x37f72a58, "");
SYMBOL_CRC(b53_vlan_del, 0xfb44ea21, "");
SYMBOL_CRC(b53_vlan_filtering, 0xfc1ae47e, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9514151a, "_mcount" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x32857ed1, "dsa_devlink_resource_register" },
	{ 0xa930a085, "dsa_devlink_resources_unregister" },
	{ 0x2ba4d3c9, "dsa_devlink_resource_occ_get_register" },
	{ 0xcd4c9c3c, "devm_kmalloc" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xa5015fb1, "mdiobus_get_phy" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1611a1d2, "phy_ethtool_get_strings" },
	{ 0xa3a8caf9, "phy_ethtool_get_stats" },
	{ 0xa63e000f, "phy_ethtool_get_sset_count" },
	{ 0x1d770b63, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xad1fcc0e, "dsa_port_phylink_mac_change" },
	{ 0x16b0bc99, "phy_init_eee" },
	{ 0x9c07f2fc, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x83dcb2f7, "__dynamic_dev_dbg" },
	{ 0xdcb764ad, "memset" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x74f024c7, "_dev_info" },
	{ 0xc0738b78, "dsa_register_switch" },
	{ 0x62cabedf, "gpio_to_desc" },
	{ 0x6553fe2c, "gpiod_set_raw_value" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "D27254F7E47886E2FBD1823");

MODULE_INFO(suserelease, "SLE15-SP6");
