#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(macsec_get_real_dev, 0x88091d08, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x0b417112, "_gpl");
SYMBOL_CRC(macsec_pn_wrapped, 0xf3755e81, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9514151a, "_mcount" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xdaab0032, "__dev_get_by_index" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x2c6a6b83, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xdc68a427, "crypto_alloc_aead" },
	{ 0x80f70937, "crypto_aead_setkey" },
	{ 0x7b979e32, "crypto_aead_setauthsize" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x741de7a, "skb_pull" },
	{ 0xbc897004, "___pskb_trim" },
	{ 0x82548702, "eth_type_trans" },
	{ 0x5ce935d3, "ether_setup" },
	{ 0x76e9b42d, "dev_fetch_sw_netstats" },
	{ 0x9f7d2b6, "dev_mc_sync" },
	{ 0xfd2391e1, "dev_uc_sync" },
	{ 0x4c1d3d7c, "dev_set_allmulti" },
	{ 0xad205f32, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x62cbc33d, "genl_unregister_family" },
	{ 0x459127c8, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf3dcf3f1, "rtnl_link_register" },
	{ 0xabd128ab, "genl_register_family" },
	{ 0xdcb764ad, "memset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x99cbc791, "dev_addr_mod" },
	{ 0xed47d56, "dev_uc_add" },
	{ 0x32931c89, "dev_uc_del" },
	{ 0x742c6686, "netif_carrier_off" },
	{ 0x51eae638, "dev_mc_unsync" },
	{ 0x4bc5c955, "dev_uc_unsync" },
	{ 0x26ccecbc, "netif_carrier_on" },
	{ 0x4829a47e, "memcpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf4ee619b, "kmalloc_caches" },
	{ 0x7893a3d7, "kmalloc_trace" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb891a55f, "unregister_netdevice_queue" },
	{ 0x3bc752c0, "netdev_upper_dev_unlink" },
	{ 0xf0ee699d, "netdev_rx_handler_unregister" },
	{ 0xc6f9dfe7, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xe9e69192, "netif_stacked_transfer_operstate" },
	{ 0xb25da8ef, "dst_release" },
	{ 0x499bfc6d, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc4cd4b30, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xedcd2367, "gro_cells_receive" },
	{ 0xfa7e1331, "kfree_skb_reason" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xf09f8304, "gro_cells_init" },
	{ 0x1f9658f8, "skb_clone" },
	{ 0x60a045ae, "__netif_rx" },
	{ 0x2e573572, "skb_copy" },
	{ 0x14f5fe40, "consume_skb" },
	{ 0x4fcfba30, "skb_push" },
	{ 0x843b92c3, "__pskb_pull_tail" },
	{ 0x2db0be4c, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x9ea84c1c, "skb_to_sgvec" },
	{ 0x475d1d5d, "crypto_aead_decrypt" },
	{ 0x3b8e2736, "register_netdevice" },
	{ 0xbe9f7104, "netdev_upper_dev_link" },
	{ 0xf71fa0ed, "metadata_dst_alloc" },
	{ 0xdf260abf, "linkwatch_fire_event" },
	{ 0x9fdb0746, "netdev_rx_handler_register" },
	{ 0x695793c3, "skb_copy_expand" },
	{ 0x7bc23e17, "skb_put" },
	{ 0x181770cb, "crypto_aead_encrypt" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x9e7aaf45, "genlmsg_put" },
	{ 0xe2bd63b7, "skb_trim" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C926E3BBFB47903E3AB32B");

MODULE_INFO(suserelease, "SLE15-SP6");
