#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__lbs_cmd, 0xab8038bc, "_gpl");
SYMBOL_CRC(lbs_cmd_copyback, 0x20b03608, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0x323ed5a5, "_gpl");
SYMBOL_CRC(lbs_add_card, 0xf0881d95, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0x2bb61ec2, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0xcfdbb143, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0x755bc0ec, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0xa8ed7767, "_gpl");
SYMBOL_CRC(lbs_resume, 0xda048650, "_gpl");
SYMBOL_CRC(lbs_start_card, 0xf5dd81e8, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0x30bf7153, "_gpl");
SYMBOL_CRC(lbs_suspend, 0xbd4bae74, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0xc8312419, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0x5dcd8b79, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0xce2b900a, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0xdbaa5f7e, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaa8e79a3, "cfg80211_scan_done" },
	{ 0x14f5fe40, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x1a6efda, "unregister_netdev" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x360083e1, "request_firmware" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xb143916c, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x2836613a, "add_wait_queue" },
	{ 0xdbc1b79e, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x480deb4e, "dev_kfree_skb_irq_reason" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x443d9410, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x5ce935d3, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x48a3b9f7, "netdev_err" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6860003e, "pskb_expand_head" },
	{ 0xacf6d61f, "wake_up_process" },
	{ 0x99cbc791, "dev_addr_mod" },
	{ 0x82548702, "eth_type_trans" },
	{ 0x41076d93, "alloc_netdev_mqs" },
	{ 0x1433509f, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x758e26ad, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x9c877df7, "cfg80211_put_bss" },
	{ 0x9dcb1262, "netif_device_detach" },
	{ 0x25a741df, "netif_device_attach" },
	{ 0x5fade5db, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x3a218027, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9c07f2fc, "_dev_err" },
	{ 0x4a587ffa, "cfg80211_ibss_joined" },
	{ 0xf5691247, "request_firmware_nowait" },
	{ 0x85298de1, "simple_open" },
	{ 0x741de7a, "skb_pull" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8da29e32, "cfg80211_michael_mic_failure" },
	{ 0xfa7e1331, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x4fcfba30, "skb_push" },
	{ 0xedffe622, "debugfs_remove" },
	{ 0x35968f6d, "register_netdev" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x58953e37, "wiphy_unregister" },
	{ 0x130adba4, "free_netdev" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xf799ab5c, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x6b2d8f95, "cfg80211_get_bss" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xbd959c9e, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x269f8580, "netif_rx" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xe7142198, "netdev_alert" },
	{ 0xa4d573b6, "kthread_create_on_node" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3a62d0d7, "debugfs_create_file" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x742c6686, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x26ccecbc, "netif_carrier_on" },
	{ 0x7b58bc0d, "remove_wait_queue" },
	{ 0xfd8c20d1, "cfg80211_inform_bss_data" },
	{ 0x7893a3d7, "kmalloc_trace" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1bda938f, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x83c8a62f, "param_ops_int" },
	{ 0xf14cf633, "debugfs_create_dir" },
	{ 0x34ad5938, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x90408932, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x66b2a508, "wiphy_free" },
	{ 0x9514151a, "_mcount" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x4c620feb, "ieee80211_get_num_supported_channels" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf4ee619b, "kmalloc_caches" },
	{ 0x5fc42d31, "netdev_info" },
	{ 0xb6c0402e, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "A3596BD07EF50ECA056B278");

MODULE_INFO(suserelease, "SLE15-SP6");
