#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw_pci_probe, 0x921619c3, "");
SYMBOL_CRC(rtw_pci_remove, 0x758384ee, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x5710d0cc, "");
SYMBOL_CRC(rtw_pm_ops, 0x8c1f9071, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9e15d23, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x77ad781, "rtw_tx_queue_mapping" },
	{ 0x7bb63d1a, "pcie_capability_read_word" },
	{ 0x11b68539, "vmemmap" },
	{ 0x8c0b388e, "devm_request_threaded_irq" },
	{ 0x7389847, "pci_enable_device" },
	{ 0x7bc23e17, "skb_put" },
	{ 0x14f5fe40, "consume_skb" },
	{ 0x9f2d30ab, "pci_iomap" },
	{ 0x1aeda9e2, "pci_alloc_irq_vectors" },
	{ 0x18865bea, "netif_napi_add_weight" },
	{ 0xf390197c, "skb_dequeue" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x52f4b51c, "ieee80211_free_hw" },
	{ 0x1e86084d, "dma_unmap_page_attrs" },
	{ 0xcbc15415, "dma_sync_single_for_device" },
	{ 0x27d157c6, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x480deb4e, "dev_kfree_skb_irq_reason" },
	{ 0x2ff01bba, "pci_set_power_state" },
	{ 0xf731dd93, "__netif_napi_del" },
	{ 0x8c4d11ac, "ieee80211_wake_queue" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0x2148e8da, "dev_driver_string" },
	{ 0x89264b2b, "dma_map_page_attrs" },
	{ 0xdc8c3bff, "napi_complete_done" },
	{ 0x8b872ec7, "ieee80211_tx_status_irqsafe" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x6cbef79e, "devm_free_irq" },
	{ 0xf7cef94b, "__napi_schedule" },
	{ 0xa7704d26, "skb_queue_tail" },
	{ 0x3f47749, "rtw_chip_info_setup" },
	{ 0x36821409, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0x81d66ac2, "rtw_unregister_hw" },
	{ 0x9c07f2fc, "_dev_err" },
	{ 0x741de7a, "skb_pull" },
	{ 0xb9c23054, "rtw_tx_fill_tx_desc" },
	{ 0x4fcfba30, "skb_push" },
	{ 0x9cfb37d4, "dma_alloc_attrs" },
	{ 0x4d773fa4, "napi_enable" },
	{ 0x157073b8, "rtw_core_init" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x4c4edbf6, "ieee80211_alloc_hw_nm" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xa65d36b4, "pci_iounmap" },
	{ 0x26c25750, "dma_sync_single_for_cpu" },
	{ 0xa40cd938, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xdcb764ad, "memset" },
	{ 0x1d770b63, "_dev_warn" },
	{ 0xfcca6b99, "pci_set_master" },
	{ 0x60606959, "ieee80211_stop_queue" },
	{ 0x97ef3fa6, "__netdev_alloc_skb" },
	{ 0x7eb2a43a, "rtw_rx_stats" },
	{ 0xe129ffbc, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x5c66be3d, "rtw_register_hw" },
	{ 0xf052932a, "dma_free_attrs" },
	{ 0xc1ed2056, "param_ops_bool" },
	{ 0xf93bfeb2, "pci_release_regions" },
	{ 0xae4c6dfa, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x21cadb07, "rtw_core_deinit" },
	{ 0xc33d97be, "rtw_ops" },
	{ 0x806a95c, "pci_disable_device" },
	{ 0x58871669, "napi_schedule_prep" },
	{ 0x30328d6, "napi_disable" },
	{ 0x1bda938f, "dev_kfree_skb_any_reason" },
	{ 0x9b48be4c, "rtw_power_mode_change" },
	{ 0x981e0d2b, "rtw_tx_write_data_h2c_get" },
	{ 0x543c0838, "pci_free_irq_vectors" },
	{ 0x9514151a, "_mcount" },
	{ 0xcead66c5, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5cb93bc6, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xe7c42ec, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "A1A75EBC27EB7AEDBCCFA7F");

MODULE_INFO(suserelease, "SLE15-SP6");
