#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9514151a, "_mcount" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc1d8e052, "__hid_register_driver" },
	{ 0x9c07f2fc, "_dev_err" },
	{ 0x74f024c7, "_dev_info" },
	{ 0xf4ee619b, "kmalloc_caches" },
	{ 0x7893a3d7, "kmalloc_trace" },
	{ 0xf53c20dd, "hid_hw_raw_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xfefb0cb4, "hid_hw_output_report" },
	{ 0xcd4c9c3c, "devm_kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x32d196e, "devm_input_allocate_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5c138de9, "input_register_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x346d9301, "input_set_abs_params" },
	{ 0x6cef4f8, "input_alloc_absinfo" },
	{ 0x1f1aa393, "power_supply_get_drvdata" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x2df50b0, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x59c25d09, "usb_submit_urb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x20608170, "hid_open_report" },
	{ 0x4c2d60d9, "hid_hw_start" },
	{ 0x48ebb99d, "hid_is_usb" },
	{ 0xd015765f, "usb_free_urb" },
	{ 0x1fce46a3, "hid_hw_stop" },
	{ 0x8aec3c, "usb_alloc_urb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xead7eb0a, "hid_unregister_driver" },
	{ 0x44f5daac, "ida_destroy" },
	{ 0xa259056d, "input_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd8376cb9, "input_mt_report_slot_state" },
	{ 0x339dce41, "input_mt_sync_frame" },
	{ 0xdb96b2a9, "hid_hw_close" },
	{ 0x57eb8c89, "ida_free" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xdc1b7bc8, "hid_hw_request" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x62b9e301, "ida_alloc_range" },
	{ 0x2d5ca9e, "devm_kasprintf" },
	{ 0x9af44bf5, "devm_power_supply_register" },
	{ 0x11ad3ce9, "power_supply_powers" },
	{ 0xf96b8163, "hid_hw_open" },
	{ 0xc83df863, "input_set_capability" },
	{ 0x6ce78c1f, "input_ff_create_memless" },
	{ 0xd88cc1af, "hid_validate_values" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa8c1813c, "devm_led_classdev_register_ext" },
	{ 0xdcb764ad, "memset" },
	{ 0xebf8e4d5, "input_mt_init_slots" },
	{ 0x1d770b63, "_dev_warn" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbhid,ff-memless");

MODULE_ALIAS("hid:b0003g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0005g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0003g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000024B");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000374");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000002");
MODULE_ALIAS("hid:b0003g*v0000054Cp00001000");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000306");
MODULE_ALIAS("hid:b0005g*v0000046Dp00000306");
MODULE_ALIAS("hid:b0005g*v00000609p00000306");
MODULE_ALIAS("hid:b0003g*v00001345p00003008");
MODULE_ALIAS("hid:b0005g*v00000609p00000368");
MODULE_ALIAS("hid:b0005g*v00000609p00000369");
MODULE_ALIAS("hid:b0003g*v000012BAp0000074B");
MODULE_ALIAS("hid:b0003g*v00001430p0000474C");
MODULE_ALIAS("hid:b0003g*v000012BAp00000100");
MODULE_ALIAS("hid:b0003g*v00001430p000007BB");

MODULE_INFO(srcversion, "94B8AC0ADF5EEA8DDDA94DC");

MODULE_INFO(suserelease, "SLE15-SP6");
