#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9514151a, "_mcount" },
	{ 0xdbba3945, "__platform_driver_register" },
	{ 0x6cbef79e, "devm_free_irq" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x7617573e, "get_phy_device" },
	{ 0x8db64774, "phy_device_register" },
	{ 0x45a6a27b, "sfp_add_phy" },
	{ 0x9c07f2fc, "_dev_err" },
	{ 0xaf4fb392, "phy_device_remove" },
	{ 0x6a2185b0, "phy_device_free" },
	{ 0x66b97421, "sfp_link_up" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x38e1c2c5, "gpiod_get_value_cansleep" },
	{ 0x13d4ee09, "mdiobus_unregister" },
	{ 0xd4f89273, "mdiobus_free" },
	{ 0x8d281030, "i2c_put_adapter" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa95b5c77, "hwmon_sanitize_name" },
	{ 0xde1d910a, "hwmon_device_register_with_info" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x74f024c7, "_dev_info" },
	{ 0x1d770b63, "_dev_warn" },
	{ 0x76a5fe5d, "i2c_transfer" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0xac06fdc2, "single_open" },
	{ 0xb71fbab3, "seq_printf" },
	{ 0x35c9ce0e, "platform_driver_unregister" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb1810665, "gpiod_direction_output" },
	{ 0x8d737890, "gpiod_direction_input" },
	{ 0x83dcb2f7, "__dynamic_dev_dbg" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x6129fb93, "sfp_remove_phy" },
	{ 0x58def6ca, "sfp_module_remove" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x6b413c9b, "sfp_link_down" },
	{ 0xda320d31, "sfp_module_start" },
	{ 0xe4d9c18b, "hwmon_device_unregister" },
	{ 0xdcb764ad, "memset" },
	{ 0x419e7efd, "sfp_module_stop" },
	{ 0x648f59a9, "sfp_module_insert" },
	{ 0xe8adaad0, "mdio_i2c_alloc" },
	{ 0x56e5d04, "__mdiobus_register" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xedffe622, "debugfs_remove" },
	{ 0xb6787346, "sfp_unregister_socket" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf4ee619b, "kmalloc_caches" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7893a3d7, "kmalloc_trace" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3dcb932b, "__devm_add_action" },
	{ 0x261a1f2a, "device_get_match_data" },
	{ 0xb6929957, "__dev_fwnode" },
	{ 0x45171d53, "fwnode_find_reference" },
	{ 0x10624a93, "i2c_get_adapter_by_fwnode" },
	{ 0xe8203801, "fwnode_handle_put" },
	{ 0xb80ede47, "device_property_read_u32_array" },
	{ 0xb1fb8c81, "gpiod_to_irq" },
	{ 0x2d5ca9e, "devm_kasprintf" },
	{ 0x8c0b388e, "devm_request_threaded_irq" },
	{ 0x1e2fc5a5, "sfp_register_socket" },
	{ 0xf14cf633, "debugfs_create_dir" },
	{ 0x3a62d0d7, "debugfs_create_file" },
	{ 0xaa7d7de6, "devm_gpiod_get_optional" },
	{ 0x1b717272, "seq_lseek" },
	{ 0x94115531, "seq_read" },
	{ 0x4ca6515, "single_release" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "libphy,mdio-i2c");

MODULE_ALIAS("of:N*T*Csff,sff");
MODULE_ALIAS("of:N*T*Csff,sffC*");
MODULE_ALIAS("of:N*T*Csff,sfp");
MODULE_ALIAS("of:N*T*Csff,sfpC*");

MODULE_INFO(srcversion, "A0ADC8493598D691F8CDD30");

MODULE_INFO(suserelease, "SLE15-SP6");
