#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0xa59aae06, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x01d9baa0, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x31a57350, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x77c61600, "_gpl");
SYMBOL_CRC(wlcore_set_key, 0xd350b58d, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0x0cbaf205, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0x6a6910e7, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0x7cd3cace, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0x870b6bfe, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0xfbe63e22, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0x53b4e1d7, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0x581c4135, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x18581be3, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0x0b8d4f98, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0x7516001c, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0xcb081573, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0xc8ef3478, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0xa631aae5, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0x9aa99f3a, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x51e4d203, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0x7a14fdff, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x8514e12f, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0x0d5b5b67, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0xce8269e5, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x14583a58, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0x80ecf6a4, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0xe97f3345, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0xb2a5c12e, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x032cc487, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x46efd56d, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0xc078e949, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0x5bc01698, "");
SYMBOL_CRC(wlcore_tx_complete, 0x96df28d6, "");
SYMBOL_CRC(wl1271_tx_flush, 0x0c70ed5a, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0xa3955a11, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0x6b8a31e3, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0xc1a75435, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x5f5319ac, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0xca0ec896, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x911de7c4, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0x630f98b8, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0x3ed35759, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0xe617cacc, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0xa50f9d50, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0x0f7e4f06, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0x5a9e4fb6, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0x0399e8fc, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x2e0bcc66, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7d178382, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x480ad782, "ieee80211_iterate_interfaces" },
	{ 0xb062d0fa, "ieee80211_sched_scan_stopped" },
	{ 0xb59fc676, "param_ops_uint" },
	{ 0xa8e3206e, "wait_for_completion_timeout" },
	{ 0x7bc23e17, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x14f5fe40, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf390197c, "skb_dequeue" },
	{ 0x7eb96685, "pm_runtime_set_autosuspend_delay" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x52f4b51c, "ieee80211_free_hw" },
	{ 0x933ea2c6, "ieee80211_probereq_get" },
	{ 0x360083e1, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb736145, "ieee80211_ap_probereq_get" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa605201a, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x96dfbc85, "ieee80211_pspoll_get" },
	{ 0x5482c2bc, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4bf94f0d, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x85c3b8d8, "ieee80211_get_hdrlen_from_skb" },
	{ 0x8a0a28c5, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x79dd5f7b, "ieee80211_stop_rx_ba_session" },
	{ 0x8c4d11ac, "ieee80211_wake_queue" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xae795856, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xd27d7f0, "ieee80211_tx_status_skb" },
	{ 0xdde1321c, "ieee80211_find_sta" },
	{ 0xb30946d, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xe80311e6, "pm_wakeup_dev_event" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x9ead0f72, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xa7704d26, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x71531aa5, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x3a218027, "device_create_file" },
	{ 0x7ee0777c, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xdf20b6a1, "ieee80211_queue_delayed_work" },
	{ 0x5f50da2b, "ieee80211_proberesp_get" },
	{ 0x29f61820, "device_wakeup_enable" },
	{ 0xf5691247, "request_firmware_nowait" },
	{ 0x85298de1, "simple_open" },
	{ 0x741de7a, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa5872ab5, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdff4fe06, "ieee80211_remain_on_channel_expired" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x4fcfba30, "skb_push" },
	{ 0xedffe622, "debugfs_remove" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x5f873e5f, "no_seek_end_llseek" },
	{ 0xf43e0979, "ieee80211_wake_queues" },
	{ 0x3f71345b, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd1ee90a4, "_raw_spin_trylock" },
	{ 0xe675ce64, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xccb5134b, "mutex_lock_interruptible" },
	{ 0x4c4edbf6, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x42f760fd, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0x1d770b63, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5e057d0c, "param_ops_charp" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x60606959, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x97ef3fa6, "__netdev_alloc_skb" },
	{ 0x1fccef93, "complete_all" },
	{ 0x47591104, "ieee80211_ready_on_channel" },
	{ 0x3f5d91fa, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe2bd63b7, "skb_trim" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x9e65f417, "ieee80211_cqm_beacon_loss_notify" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3a62d0d7, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xd8619fd9, "ieee80211_sched_scan_results" },
	{ 0xe7769ccd, "__pm_runtime_resume" },
	{ 0xc812b5a4, "ieee80211_scan_completed" },
	{ 0x8e35b58d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x403ae462, "dev_pm_clear_wake_irq" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x656358dc, "_ieee80211_chswitch_done" },
	{ 0xd1c38817, "pm_runtime_force_resume" },
	{ 0xae4c6dfa, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x3157274, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x967d5d1f, "ieee80211_cqm_rssi_notify" },
	{ 0x7893a3d7, "kmalloc_trace" },
	{ 0x2b0e31c4, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x23a9e7f0, "ieee80211_queue_work" },
	{ 0xf60298a6, "__pm_runtime_use_autosuspend" },
	{ 0x25e0edb8, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x83c8a62f, "param_ops_int" },
	{ 0xc2af6347, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf14cf633, "debugfs_create_dir" },
	{ 0x34ad5938, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xabdb6329, "pm_runtime_force_suspend" },
	{ 0x9514151a, "_mcount" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x4da7c5f5, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf4ee619b, "kmalloc_caches" },
	{ 0xabfc7af3, "device_remove_bin_file" },
	{ 0xb6c0402e, "device_remove_file" },
	{ 0xdfe891d3, "ieee80211_csa_finish" },
	{ 0x59d3dc0a, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe7c42ec, "ieee80211_rx_napi" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "4F541C24F959ABD0B17FD55");

MODULE_INFO(suserelease, "SLE15-SP6");
