#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rio_query_mport, 0x9b9a898c, "");
SYMBOL_CRC(rio_add_device, 0x3a4285e1, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0x5f82f905, "_gpl");
SYMBOL_CRC(rio_add_net, 0xfcd7588a, "_gpl");
SYMBOL_CRC(rio_alloc_net, 0xd215a4cf, "_gpl");
SYMBOL_CRC(rio_del_device, 0x4bf3785d, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0x6ea50d10, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0x88f915f2, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0xb8255209, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0x23af868d, "_gpl");
SYMBOL_CRC(rio_free_net, 0xd38b1c56, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x25c91bd0, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x615179b1, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_local_get_device_id, 0xfa23f46c, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0xdfb7c279, "_gpl");
SYMBOL_CRC(rio_lock_device, 0x5c2bdaf3, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x54192d08, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0x2c216ecd, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x5ed493de, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0x4179c5c2, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0xd05f4108, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0xb25ca1e7, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x362f0644, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0xfafb845e, "_gpl");
SYMBOL_CRC(rio_register_mport, 0xf0dbbdc2, "_gpl");
SYMBOL_CRC(rio_register_scan, 0x00f2fba0, "_gpl");
SYMBOL_CRC(rio_release_dma, 0xedda6e17, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x8f1c7b3a, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0xa65630d3, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0xfd9f448e, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0xa0298018, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0x7a07f970, "_gpl");
SYMBOL_CRC(rio_request_dma, 0x883c8bf7, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0x6c3373d1, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0x909449f3, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x4bfb60dd, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0x35bcf63f, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0x4c3c6a54, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x4413cdd3, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0x70d5df1e, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0xd5a42be7, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0xe908f9b2, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0xc19a51c1, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0x4a016d6f, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0x620a2cb0, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0xadbcedef, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0x056c94d4, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0x244fb060, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0x01a85eb8, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0xf84a9271, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0x0925ac26, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0x9456af25, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0x595e2e9a, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0x7126cc0e, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0xed1d4c7f, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0xdb4c09da, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x2c23c598, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0xabaefd6a, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0x037cc452, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x64cd58e1, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x7b8728eb, "_gpl");
SYMBOL_CRC(rio_attach_device, 0xe29f7110, "_gpl");
SYMBOL_CRC(rio_bus_type, 0xae4fb592, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x7ce004b4, "_gpl");
SYMBOL_CRC(rio_dev_put, 0xfb27cf1b, "_gpl");
SYMBOL_CRC(rio_mport_class, 0xaf58ba48, "_gpl");
SYMBOL_CRC(rio_register_driver, 0xd730b7a9, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0xf52f4742, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x51509938, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf1d4184b, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9a95a6bf, "device_unregister" },
	{ 0x23f60e5d, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x39b61bfb, "dma_release_channel" },
	{ 0x8a13a27f, "device_for_each_child" },
	{ 0xf72b0e97, "get_device" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0x83dcb2f7, "__dynamic_dev_dbg" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x6fb9971, "__dma_request_channel" },
	{ 0x92997ed8, "_printk" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xe6461e37, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x51a40a88, "module_put" },
	{ 0x9c07f2fc, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x6fd9fb55, "driver_unregister" },
	{ 0xee523b30, "class_unregister" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x43fdc513, "device_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7893a3d7, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0x83c8a62f, "param_ops_int" },
	{ 0x52112b9a, "driver_register" },
	{ 0x9514151a, "_mcount" },
	{ 0xfd1283e9, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf4ee619b, "kmalloc_caches" },
	{ 0xbbe173fe, "bus_register" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4DA39A8CF0BA0076D2DDF66");

MODULE_INFO(suserelease, "SLE15-SP6");
